<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc (version 1.7.0_51) on Sun Apr 26 10:43:51 CEST 2015 -->
<title>QIFDateiWriter</title>
<meta name="date" content="2015-04-26">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="QIFDateiWriter";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../de/jost_net/OBanToo/QIF/QIFDateiParser.html" title="class in de.jost_net.OBanToo.QIF"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../de/jost_net/OBanToo/QIF/QIFException.html" title="class in de.jost_net.OBanToo.QIF"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?de/jost_net/OBanToo/QIF/QIFDateiWriter.html" target="_top">Frames</a></li>
<li><a href="QIFDateiWriter.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field_summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field_detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">de.jost_net.OBanToo.QIF</div>
<h2 title="Class QIFDateiWriter" class="title">Class QIFDateiWriter</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>de.jost_net.OBanToo.QIF.QIFDateiWriter</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="strong">QIFDateiWriter</span>
extends java.lang.Object</pre>
<div class="block">Erstellung von QIF-Dateien
 <p>
 
 Beispiel<br>
 
 <code>
 FileOutputStream fos = new FileOutputStream("test.qif");<br>
 QIFDateiWriter qifw = new QIFDateiWriter(fos);<br>
 qifw.setBetrag(100.01);<br>
 qifw.setDatum(new Date());<br>
 qifw.setEmpfänger("Fritzchen Müller");<br>
 qifw.addAdresse("Testenhausen");<br>
 qifw.write();<br>
<br>
 qifw.setBetrag(200);<br>
 qifw.setDatum(new Date());<br>
 qifw.setEmpfänger("Franz Sepplhuber");<br>
 qifw.setKategorie("Reisen");<br>
 qifw.write();<br>
<br>
 qifw.close();<br>
  </code></div>
<dl><dt><span class="strong">Author:</span></dt>
  <dd>Heiner Jostkleigrewe</dd></dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private java.io.DataOutputStream</code></td>
<td class="colLast"><code><strong><a href="../../../../de/jost_net/OBanToo/QIF/QIFDateiWriter.html#dos">dos</a></strong></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private <a href="../../../../de/jost_net/OBanToo/QIF/QIFBuchung.html" title="class in de.jost_net.OBanToo.QIF">QIFBuchung</a></code></td>
<td class="colLast"><code><strong><a href="../../../../de/jost_net/OBanToo/QIF/QIFDateiWriter.html#qif">qif</a></strong></code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><strong><a href="../../../../de/jost_net/OBanToo/QIF/QIFDateiWriter.html#QIFDateiWriter(java.io.OutputStream)">QIFDateiWriter</a></strong>(java.io.OutputStream&nbsp;os)</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../de/jost_net/OBanToo/QIF/QIFDateiWriter.html#addAdresse(java.lang.String)">addAdresse</a></strong>(java.lang.String&nbsp;value)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../de/jost_net/OBanToo/QIF/QIFDateiWriter.html#close()">close</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private void</code></td>
<td class="colLast"><code><strong><a href="../../../../de/jost_net/OBanToo/QIF/QIFDateiWriter.html#open()">open</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../de/jost_net/OBanToo/QIF/QIFDateiWriter.html#setBetrag(double)">setBetrag</a></strong>(double&nbsp;value)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../de/jost_net/OBanToo/QIF/QIFDateiWriter.html#setClearedStatus(java.lang.String)">setClearedStatus</a></strong>(java.lang.String&nbsp;value)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../de/jost_net/OBanToo/QIF/QIFDateiWriter.html#setDatum(java.util.Date)">setDatum</a></strong>(java.util.Date&nbsp;value)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../de/jost_net/OBanToo/QIF/QIFDateiWriter.html#setEmpfänger(java.lang.String)">setEmpfänger</a></strong>(java.lang.String&nbsp;value)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../de/jost_net/OBanToo/QIF/QIFDateiWriter.html#setKategorie(java.lang.String)">setKategorie</a></strong>(java.lang.String&nbsp;value)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../de/jost_net/OBanToo/QIF/QIFDateiWriter.html#setMemo(java.lang.String)">setMemo</a></strong>(java.lang.String&nbsp;value)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../de/jost_net/OBanToo/QIF/QIFDateiWriter.html#setReferenz(java.lang.String)">setReferenz</a></strong>(java.lang.String&nbsp;value)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../de/jost_net/OBanToo/QIF/QIFDateiWriter.html#write()">write</a></strong>()</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="dos">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>dos</h4>
<pre>private&nbsp;java.io.DataOutputStream dos</pre>
</li>
</ul>
<a name="qif">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>qif</h4>
<pre>private&nbsp;<a href="../../../../de/jost_net/OBanToo/QIF/QIFBuchung.html" title="class in de.jost_net.OBanToo.QIF">QIFBuchung</a> qif</pre>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="QIFDateiWriter(java.io.OutputStream)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>QIFDateiWriter</h4>
<pre>public&nbsp;QIFDateiWriter(java.io.OutputStream&nbsp;os)
               throws java.io.IOException</pre>
<dl><dt><span class="strong">Throws:</span></dt>
<dd><code>java.io.IOException</code></dd></dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="open()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>open</h4>
<pre>private&nbsp;void&nbsp;open()
           throws java.io.IOException</pre>
<dl><dt><span class="strong">Throws:</span></dt>
<dd><code>java.io.IOException</code></dd></dl>
</li>
</ul>
<a name="setDatum(java.util.Date)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setDatum</h4>
<pre>public&nbsp;void&nbsp;setDatum(java.util.Date&nbsp;value)</pre>
</li>
</ul>
<a name="setBetrag(double)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setBetrag</h4>
<pre>public&nbsp;void&nbsp;setBetrag(double&nbsp;value)</pre>
</li>
</ul>
<a name="setEmpfänger(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setEmpfänger</h4>
<pre>public&nbsp;void&nbsp;setEmpfänger(java.lang.String&nbsp;value)</pre>
</li>
</ul>
<a name="setKategorie(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setKategorie</h4>
<pre>public&nbsp;void&nbsp;setKategorie(java.lang.String&nbsp;value)</pre>
</li>
</ul>
<a name="setClearedStatus(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setClearedStatus</h4>
<pre>public&nbsp;void&nbsp;setClearedStatus(java.lang.String&nbsp;value)</pre>
</li>
</ul>
<a name="setReferenz(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setReferenz</h4>
<pre>public&nbsp;void&nbsp;setReferenz(java.lang.String&nbsp;value)</pre>
</li>
</ul>
<a name="setMemo(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setMemo</h4>
<pre>public&nbsp;void&nbsp;setMemo(java.lang.String&nbsp;value)</pre>
</li>
</ul>
<a name="addAdresse(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addAdresse</h4>
<pre>public&nbsp;void&nbsp;addAdresse(java.lang.String&nbsp;value)</pre>
</li>
</ul>
<a name="write()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>write</h4>
<pre>public&nbsp;void&nbsp;write()
           throws java.io.IOException</pre>
<dl><dt><span class="strong">Throws:</span></dt>
<dd><code>java.io.IOException</code></dd></dl>
</li>
</ul>
<a name="close()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>close</h4>
<pre>public&nbsp;void&nbsp;close()
           throws java.io.IOException</pre>
<dl><dt><span class="strong">Throws:</span></dt>
<dd><code>java.io.IOException</code></dd></dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../de/jost_net/OBanToo/QIF/QIFDateiParser.html" title="class in de.jost_net.OBanToo.QIF"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../de/jost_net/OBanToo/QIF/QIFException.html" title="class in de.jost_net.OBanToo.QIF"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?de/jost_net/OBanToo/QIF/QIFDateiWriter.html" target="_top">Frames</a></li>
<li><a href="QIFDateiWriter.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field_summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field_detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
